# push

## Description

Adds a new value to an array. An array has to be created using the newArray function first, before using the push function to add values to the array.

## Input / Parameter

| Name  | Description                                  | Input Type  | Default | Options | Required |
| ----- | -------------------------------------------- | ----------- | ------- | ------- | -------- |
| var   | The name of the array to add a new value to. | String/Text | -       | -       | Yes      |
| value | The value to be added to the array.          | String/Text | -       | -       | Yes      |

## Output

| Description                  | Output Type |
| ---------------------------- | ----------- |
| The updated array of values. | Array/List  |

## Callback

N/A

## Video

Coming Soon.

## Example

The user wants to add new value into the array.

### Step

1. Call the function "newArray" and set the variable name.\
   var: listOfFruits<br>

   ![](/files/XcKfFvabRtIOonv555yF)
2. Call the function "push" and define the value.\
   value: mango

   ![](/files/Na3RurvSMI8andhz80Ka)
3. Call the function "push" and define the value.\
   value: jackfruits

   ![](/files/BCNQ0ExPJe4zBcz0E2lL)
4. Add a console and call the function "getVar" to view the values in "listOfFruits" array.\
   value = getVar = listOfFruits

   ![](/files/iPuepXCvhhCZZCGw06kg)

### Result

"mango" and "jackfruits" are added to the array successfully.

![](/files/Ff9pP9J6A5XF2YJtFRT5)

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/array/push.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
